--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The chosen charmap
  name: charmap
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The effective path to this TrueType font
  name: fontpath
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The chosen horizontal resolution hint
  name: hdpi
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Whether kerning is desired
  name: kerning
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The chosen linespacing
  name: linespacing
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The chosen vertical resolution hint
  name: vdpi
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: fontconfig=
- !ruby/object:RI::MethodSummary 
  name: fontconfig?
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: CHARMAP_UNICODE
  value: "0"
- !ruby/object:RI::Constant 
  comment: 
  name: CHARMAP_SHIFT_JIS
  value: "1"
- !ruby/object:RI::Constant 
  comment: 
  name: CHARMAP_BIG5
  value: "2"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_LINESPACE
  value: "1"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_CHARMAP
  value: "2"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_RESOLUTION
  value: "4"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_DISABLE_KERNING
  value: "8"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_XSHOW
  value: "16"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_FONTPATHNAME
  value: "32"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_FONTCONFIG
  value: "64"
- !ruby/object:RI::Constant 
  comment: 
  name: FTEX_RETURNFONTPATHNAME
  value: "128"
full_name: GD2::Font::TrueType
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: bounding_rectangle
name: TrueType
superclass: Object
